<?php
// Google Route Maps Mod
// by
// BlueDevil <bluedevilcustoms.com>

function template_map()
{
	global $context, $modSettings, $scripturl, $txt, $settings;

	if (!empty($modSettings['googleRouteMapsEnable']))
	{
		echo '   

<script src="http://maps.google.com/maps?file=api&v=2&key=', $modSettings['googleRouteMapsKey'], '" type="text/javascript"></script>
<script type="text/javascript">

function printpage()
 {
  window.print();
 }

var map;
var gdir;
var geocoder = null;
var addressMarker;

function initialize() {
if (GBrowserIsCompatible()) {
map = new GMap2(document.getElementById("map_canvas"));
gdir = new GDirections(map, document.getElementById("directions"));
GEvent.addListener(gdir, "load", onGDirectionsLoad);
GEvent.addListener(gdir, "error", handleErrors);

setDirections("',$txt['fromAddress'],'", "',$txt['toAddress'],'", "en_US");
}
}

function setDirections(fromAddress, toAddress, locale) {
gdir.load("from: " + fromAddress + " to: " + toAddress,
{ "locale": locale });
}

function handleErrors(){
if (gdir.getStatus().code == G_GEO_UNKNOWN_ADDRESS)
alert("', $txt['G_GEO_UNKNOWN_ADDRESS'], ' " + gdir.getStatus().code);

else if (gdir.getStatus().code == G_GEO_SERVER_ERROR)
alert("', $txt['G_GEO_SERVER_ERROR'], '" + gdir.getStatus().code);

else if (gdir.getStatus().code == G_GEO_MISSING_QUERY)
alert("', $txt['G_GEO_MISSING_QUERY'], '" + gdir.getStatus().code);

// else if (gdir.getStatus().code == G_UNAVAILABLE_ADDRESS) <--- Doc bug... this is either not defined, or Doc is wrong
// alert("', $txt['G_UNAVAILABLE_ADDRESS'], '" + gdir.getStatus().code);

else if (gdir.getStatus().code == G_GEO_BAD_KEY)
alert("', $txt['G_GEO_BAD_KEY'], '" + gdir.getStatus().code);

else if (gdir.getStatus().code == G_GEO_BAD_REQUEST)
alert("', $txt['G_GEO_BAD_REQUEST'], '" + gdir.getStatus().code);

else alert("', $txt['unknown_error'], '");

}

function onGDirectionsLoad(){
// Use this function to access information about the latest load()
// results.

// e.g.
// document.getElementById("getStatus").innerHTML = gdir.getStatus().code;
// and yada yada yada...
}
</script>


<form action="#" onsubmit="setDirections(this.from.value, this.to.value, this.locale.value); return false">
<table>

<tr><th align="right">',$txt['from'],'</th>
<td><input type="text" size="27" id="fromAddress" name="from"
value="',$txt['fromAddress'],'"/></td>

<th align="right">',$txt['to'],'</th>
<td align="right"><input type="text" size="27" id="toAddress" name="to"
value="',$txt['toAddress'],'" /></td></tr>

<tr><th>',$txt['language'],'</th>
<td colspan="3"><select id="locale" name="',$txt['locale'],'">
<option value="en" selected>',$txt['english'],'</option>
<option value="fr">',$txt['french'],'</option>
<option value="de">',$txt['german'],'</option>
<option value="ja">',$txt['japanese'],'</option>
<option value="es">',$txt['spanish'],'</option>
</select>

<input name="submit" type="submit" value="',$txt['get_directions'],'" /> <input type="button" value="',$txt['print'],'" onclick="printpage();" />
</td></tr>
</table>
</form>
<br/>
<table>
<tr><th>',$txt['formatted_directions'],'</th><th>',$txt['map'],'</th></tr>
<tr>
<td valign="top"><div id="directions" style="width: 250px"></div></td>
<td valign="top"><div id="map_canvas" style="width: 650px; height: 400px"></div></td>
</tr>
</table>
<br />
<div style="text-align: center;">',$txt['googleMapc'],'</div>';
	}
}

?>
